%define	upstream_name	 Mail-Sender
%define upstream_version 0.903

%global	__requires_exclude perl\\(Win32API::Registry\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Module for sending mails with attachments through an SMTP server 
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/J/JE/JENDA/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(MIME::QuotedPrint)
BuildRequires: perl(Socket)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Tie::Handle)
BuildRequires: perl(Time::Local)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Mail-Sender is a Perl module for sending mail with attachments through an
SMTP server.  This module will not work with qmail servers, however.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
echo "N
" | %make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Mail
%{_mandir}/*/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.903.0-5.mga10
+ Revision: 2204020
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.903.0-4.mga9
+ Revision: 1809589
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.903.0-3.mga8
+ Revision: 1505081
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.903.0-2.mga7
+ Revision: 1284743
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 0.903.0-1.mga7
+ Revision: 1128732
- update to 0.903

* Sun Jun 19 2016 pterjan <pterjan> 0.8.23-6.mga6
+ Revision: 1029510
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.8.23-5.mga6
+ Revision: 937511
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.8.23-4.mga6
+ Revision: 937079
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8.23-3.mga5
+ Revision: 743780
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.23-2.mga5
+ Revision: 685324
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Wed Jul 16 2014 sander85 <sander85> 0.8.23-1.mga5
+ Revision: 653208
- update to 0.8.23

* Fri Oct 18 2013 umeabot <umeabot> 0.8.22-3.mga4
+ Revision: 512769
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.8.22-2.mga3
+ Revision: 369429
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.8.22-1.mga3
+ Revision: 342367
- update to 0.8.22

* Thu Jul 05 2012 jquelin <jquelin> 0.8.21-1.mga3
+ Revision: 267999
- update to 0.8.21

* Sat Jan 22 2011 jquelin <jquelin> 0.8.16-2.mga1
+ Revision: 32765
- mageia rebuild
- imported package perl-Mail-Sender


* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.8.16-2mdv2010.1
+ Revision: 426523
- rebuild

* Tue Jul 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.16-1mdv2009.0
+ Revision: 235776
- update to new version 0.8.16

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.8.13-4mdv2009.0
+ Revision: 223810
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8.13-3mdv2008.1
+ Revision: 180469
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 0.8.13-2mdv2008.0
+ Revision: 23365
- make build non interactive


* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.13-1mdk
- 0.8.13
- spec cleanup
- rpmbuildupdate aware

* Mon Jun 06 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.10-3mdk
- Rebuild

* Wed Apr 21 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.10-2mdk
- fix requires

* Wed Apr 21 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.10-1mdk
- 0.8.10

* Wed Aug 13 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.06-4mdk
- rebuild for new perl
- don't rm -rf /home/guillomovitch/rpm/tmp/perl-Mail-Sender-0.8.13 in %%prep
- use %%makeinstall_std macro
- drop $RPM_OPT_FLAGS, noarch..

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.06-3mdk
- fix non interactive build
- rebuild for new auto{prov,req}

* Mon Apr 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.8.06-2mdk
- adjust buildrequires

* Fri Apr 18 2003 François Pons <fpons@mandrakesoft.com> 0.8.06-1mdk
- 0.8.06.

